{{#unless isVehicle}}
<div class="inventory-filters flexrow">
    <ul class="filter-list flexrow" data-filter="features">
        <li class="filter-item" data-filter="action">{{localize "DND5E.Action"}}</li>
        <li class="filter-item" data-filter="bonus">{{localize "DND5E.BonusAction"}}</li>
        <li class="filter-item" data-filter="reaction">{{localize "DND5E.Reaction"}}</li>
    </ul>
</div>
{{/unless}}

<ol class="items-list inventory-list">
{{#each sections as |section sid|}}
    <li class="items-header flexrow">
        <h3 class="item-name flexrow">{{localize section.label}}</h3>

        {{#if section.hasActions}}
        <div class="item-detail item-uses">{{localize "DND5E.Uses"}}</div>
        <div class="item-detail item-action">{{localize "DND5E.Usage"}}</div>
        {{/if}}

        {{#if section.columns}}
            {{#each section.columns}}
                <div class="item-detail {{css}}">{{label}}</div>
            {{/each}}
        {{/if}}

        {{#if ../owner}}
        <div class="item-controls flexrow">
            <a class="item-control item-create" title="{{localize 'DND5E.FeatureAdd'}}" {{#each section.dataset as |v k|}}data-{{k}}="{{v}}"{{/each}}>
                <i class="fas fa-plus"></i> {{localize "DND5E.Add"}}
            </a>
        </div>
        {{/if}}
    </li>

    <ol class="item-list">
    {{#each section.items as |item iid|}}
        <li class="item flexrow {{#if isDepleted}}depleted{{/if}}" data-item-id="{{item._id}}">
            <div class="item-name flexrow rollable">
                <div class="item-image" style="background-image: url('{{item.img}}')"></div>
                <h4>
                    {{item.name}}
                    {{#if item.isOriginalClass}} <i class="original-class fas fa-sun" title="{{localize 'DND5E.ClassOriginal'}}"></i>{{/if}}
                </h4>
            </div>

            {{#if section.hasActions}}
            <div class="item-detail item-uses">
                {{#if item.isOnCooldown}}
                <a class="item-recharge rollable">{{item.labels.recharge}}</a>
                {{else if item.data.recharge.value}}
                {{localize "DND5E.Charged"}}

                {{else if item.hasUses}}
                <input type="text" value="{{item.data.uses.value}}" placeholder="0"/>/ {{item.data.uses.max}}
                {{/if}}
            </div>
            <div class="item-detail item-action">
                {{#if item.data.activation.type }}
                {{item.labels.activation}}
                {{/if}}
            </div>

            {{else if section.isClass}}
            <div class="item-detail player-class">
                {{item.data.subclass}}
            </div>
            <div class="item-detail item-action">
                Level {{item.data.levels}}
            </div>
            {{/if}}

            {{#if section.columns}}
                {{#each section.columns}}
                    <div class="item-detail {{css}}">
                        {{#with (lookup item property)}}
                            {{#if ../editable}}
                                <input type="text" value="{{this}}" placeholder="&mdash;"
                                       data-dtype="{{../editable}}">
                            {{else}}
                                {{this}}
                            {{/if}}
                        {{/with}}
                    </div>
                {{/each}}
            {{/if}}

            {{#if ../../owner}}
            <div class="item-controls flexrow">
                {{#if section.crewable}}
                <a class="item-control item-toggle {{item.toggleClass}}"
                   title="{{item.toggleTitle}}">
                    <i class="fas fa-sun"></i>
                </a>
                {{/if}}
                <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
            </div>
            {{/if}}
        </li>
    {{/each}}
    </ol>
{{/each}}
</ol>
